/* Code Written by Open Source Robotics project. 
http://www.opensourcerobotics.it
*/

import processing.serial.*; 
Serial myPort; 
int r,g,b; 
String T1= "A";
String T2= "D";
String T3= "S";
String T4= "I";
String T5= "CLACSON"; 
String T6= "LUCI";
PImage img;
PImage img1;

void setup()
{
  size(1024, 768);
 
  r = 0; 
  g = 0;
  b = 0;

println(Serial.list()); 
String portName = Serial.list()[3]; 
myPort = new Serial(this, portName, 117200); 
img = loadImage("Logo.JPG");
img1 = loadImage("ITIS.jpg");
}
 
void draw()
{
   
  background(255,255,255); 

fill (0,0,255); 
rect(750, 250, 100, 100,7); // BWD rectangle
triangle(750, 235, 800, 160, 850, 235); //FWD triangle
triangle(735, 350, 660, 300, 735, 250); //RHT triangle
triangle(865, 250, 940, 300, 865, 350); //LFT triangle
rect(170, 325, 200, 100,5); //LUCI rectangle
rect(170, 450, 200, 100,5); //CLACSON rectangle
textSize(40); // Defining the headline's size- 32
fill (0,0,255); // painting the headline blue.
textSize (20); // The arrow keys text size- 20
fill (0,255,0); // painting it green.
text(T1, 790, 220); //FWD
text(T2, 885, 310);//RHT
text(T3, 700, 310); //LFT
text(T4, 795, 310);//BWD
text(T5, 225, 510); //BRAKE
text(T6, 245, 390); //LUCI
image(img, 30, 30);
image(img1, 700, 500);
}
 
void keyPressed()
{
 
 
  switch (keyCode) { 
    case UP: //In case the UP button was pressed:
   myPort.write('1'); // Send the signal 1
      println("UP!"); // + Print "UP!" (Debugging only) 
  fill(255,0,0); // + Fill the up triangle with red.
triangle(750, 235, 800, 160, 850, 235);
 
     break;
    case DOWN:
 myPort.write('2');
      println("DOWN!");
 fill(255,0,0);
 rect(750, 250, 100, 100,7);

      break; 
    case LEFT:
 myPort.write('3');
      println("LEFT!");
 fill(255,0,0);
 triangle(735, 350, 660, 300, 735, 250);
  
    break;
    case RIGHT:
    myPort.write('4');
      println("RIGHT!");
   fill(255,0,0);
  triangle(865, 250, 940, 300, 865, 350);
   
    break;
  
case ' ' :
myPort.write ('5');
 println("STOP!");
 fill(255,0,0);
  rect(170, 450, 200, 100,5);

break;

case TAB :
myPort.write ('6');
 println("LUCI");
 fill(255,0,0);
rect(170, 325, 200, 100,5);
break;
    default:
    break;
  }
}